/* label#label-terminal{
    z-index: -10000;
} */
.container-terminal {
    transition: 1s;
    width: 50vw;
    height: auto;
    background: #1e1e1e;
    border-radius: 10px 10px 0 0;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    position: absolute;
    bottom: 0;
    left: 25%;
    z-index: 100;
}

/* changement d'état */
.container-terminal.large {
    height: 50vh;
}
.container-terminal.large > .terminal_body{ 
    display: block; /*cacher le terminal body pour eviter des bugs d'interface, on laisse uniquement la tool bar de visible*/
}

/* selectionne l'élément parents et lui applique un effet de flou */
header:has(~ label .container-terminal.large){ 
    filter: blur(5px);
    transition: 0.6s;
}

.terminal_toolbar {
    display: flex;
    height: 35px;
    align-items: center;
    padding: 0 15px;
    background: #2d2d2d;
    justify-content: space-between;
}

.add_tab {
    border: none;
    color: #ffffff;
    background: #3a3a3a;
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 12px;
    cursor: pointer;
    transition: background 0.2s ease;
}

.add_tab:hover {
    background: #4a4a4a;
}

.user {
    color: #ffffff;
    font-size: 14px;
    font-weight: bold;
    margin: auto;
}

.terminal_body {
    background: #1e1e1e;
    color: #cecece;
    width: calc(100% - 30px);
    justify-self: center;
    height: calc(100% - 35px);
    padding-top: 15px;
    font-family: "consolas", monospace;
    font-size: 15px;
    line-height: 1.5;
    overflow-y: auto;
    display: none;
    overflow: hidden;
    position: absolute;
}

.terminal_promt {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    max-height: calc(50vh - 35px);
    overflow: hidden;
}

.terminal_promt span {
    margin-right: 5px;
}

.terminal_user {
    color: #00ff9c;
}
.terminal_location {
    color: #0066ff;
}
.terminal_bling, input#hidden_input {
    color: #ff00ff;
}

input#hidden_input{
    width: 100%;
}

.terminal_cursor {
    display: inline-block;
    width: 6px;
    height: 18px;
    background: #ffffff;
    animation: blink 1s step-end infinite;
    vertical-align: text-bottom;
}

/* cacher le scroll du terminal */
.terminal_body{
    overflow-y: scroll;

    /* Masque la barre sur Firefox */
    scrollbar-width: none;
    
    /* Masque la barre sur IE et Edge */
    -ms-overflow-style: none;
}
/* Masque la barre sur Chrome, Safari et Opera */
.terminal_body::-webkit-scrollbar {
  display: none;
}   


@keyframes blink {
    0%,
    100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}
